using System;
using System.Collections.Generic;
using System.Text;

namespace SharedLibrary
{
   [Serializable()]
   public class Customer : ISharedObject
   {
      public string ID;
      public string FirstName;
      public string LastName;

      public void ProcessCustomer(Customer _cust)
      {
         this.ID = _cust.ID;
         this.FirstName = _cust.FirstName;
         this.LastName = _cust.LastName;
      }

      public Customer GetCustomer(string _ID)
      {
         if (this.ID == _ID)
            return this;
         else
            return null;
      }
   }
}
